Subject: Re: Trapframe information

From: [email-masked] (Bruce Evans)
Date: Sat, 26 Jun 93 02:32:58 EST

tf_isp		original esp (probably spare - popal ignores it)
tf_trapno	s/w trap no (may be spare - trap.c has already looked at it)
tf_err		h/w error code (probably spare - gets discarded before iret)

___fs		not stored in 386BSD pcb.  Constant anyway unless user has
		screwed with it (?).
___gs		ditto
___orig_eip	in linux, this is on the stack just before the call to the
		emulator.  The reason that it's not a local variable is to
		avoid passing around pointers to it - current->frame (or
		whatever) points to everything in the stack frame.  The
		macros hide a lot of slow memory references
		current->frame->var.

>(And I need to see if I can map orig_eip to one of the three that I'm unsure of
>in the BSD sources)

tf_isp is the least evil.

Bruce